package token_admin

import (
	"context"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"

	"net/http"
)

type GetTokenListAdminLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	r      *http.Request
}

func NewGetTokenListAdminLogic(r *http.Request, ctx context.Context, svcCtx *svc.ServiceContext) *GetTokenListAdminLogic {
	return &GetTokenListAdminLogic{
		r:      r,
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GetTokenListAdminLogic) GetTokenListAdmin(req *types.TokenReq) (resp *types.TokenListResp, err error) {
	// todo: add your logic here and delete this line

	return
}
